> For the complete documentation index, see [llms.txt](https://docs.umbcheckout.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbcheckout.net/v17/view-components/basket-link-view-component.md).

# Basket Link View Component

A prebuilt basket link which incudes the Basket Count is included.

The link is unstyled and either requires styling within the partial cshtml file or using CSS.

The cshtml partial can be found at the following path:

Views -> Partials -> UmbCheckout -> \_BasketLink.cshtml

To be able to use the Basket Link View Component you will need to add the following to your `_ViewImports.cshtml` file

```cshtml
@addTagHelper *, UmbCheckout.Core
```

This will allow you to use the following tag helper:

```cshtml
<vc:basket-link></vc:basket-link>
```

Alternatively, you can load the View Component without using the tag helper:

```cshtml
@await Component.InvokeAsync(typeof(BasketLinkViewComponent))
```

### Configurable Properties

You can set the following properties

| Property        | Property Alias    | Use                                                                                        | Default Value |
| --------------- | ----------------- | ------------------------------------------------------------------------------------------ | ------------- |
| basketAlias     | basket-alias      | The Content Type alias of the Basket page                                                  | basket        |
| linkName        | link-name         | The text shown on the link                                                                 | Basket        |
| linkCssClass    | link-css-class    | The CSS class to be added to the \<a> tag                                                  | null          |
| linkType        | link-type         | What the link shows: `BasketLinkType.TotalCount` (item count) or `BasketLinkType.SubTotal` | TotalCount    |
| currencyNodeKey | currency-node-key | The key of the node whose `umbCheckoutCurrencyCode` sets the currency                      | null          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbcheckout.net/v17/view-components/basket-link-view-component.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
